develooper Front page | perl.beginners | Postings from May 2007

Re: Problem with Spreadsheet::ParseExcel

Thread Previous
From:
Jenda Krynicky
Date:
May 22, 2007 08:09
Subject:
Re: Problem with Spreadsheet::ParseExcel
Message ID:
465323AE.775.253E08F3@Jenda.Krynicky.cz
From: "Nath, Alok (STSD)" <alok.nath@hp.com>
> Hi, 
> 	When I call "use Spreadsheet::ParseExcel" in my program I get
> this error.
> 
> Weak references are not implemented in the version of perl at
> C:/Perl/lib/Spreadsheet/ParseExcel.pm line 67
> BEGIN failed--compilation aborted at
> C:/Perl/lib/Spreadsheet/ParseExcel.pm line 67.
> Compilation failed in require at Excel.pl line 5.
> BEGIN failed--compilation aborted at Excel.pl line 5.
> 
> 
> 	The line 67 in ParseExcel.pm contains-
> 	 use Scalar::Util qw(weaken);
> 
> 	I have also ensured Scalar\Util.pm is in the path.

What version of perl do you have??

Jenda
===== Jenda@Krynicky.cz === http://Jenda.Krynicky.cz =====
When it comes to wine, women and song, wizards are allowed 
to get drunk and croon as much as they like.
	-- Terry Pratchett in Sourcery


Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About